from __future__ import unicode_literals
# https://github.com/sixohsix/twitter/tree/master
# Python Twitter Tool (Version 1.18.0)
from twitter import *
from twitter.stream import TwitterStream, Timeout, HeartbeatTimeout, Hangup
import time

# Replace with your own key/secret
consumer_key = ''
consumer_secret = ''
resource_owner_key = ''
resource_owner_secret = ''

if __name__ == '__main__':
    while True:
        try:
            # When using twitter stream you must authorize.
            auth = OAuth(
                consumer_key=consumer_key,
                consumer_secret=consumer_secret,
                token=resource_owner_key,
                token_secret=resource_owner_secret
            )
            # Set location bounding box
            query_args = {'locations':'5.9559113,45.817994999999996,10.4922941,47.8084648', 'stall_warnings':True}
            # Start authorization and filtering tweets
            stream = TwitterStream(auth=auth)
            tweet_iter = stream.statuses.filter(**query_args)

            # Iterate over the sample stream.
            for tweet in tweet_iter:
                # We should check the type of tweet. It might be  a delete or data message.
                if tweet is None:
                    print("-- None --")
                elif tweet is Timeout:
                    print("-- Timeout --")
                elif tweet is HeartbeatTimeout:
                    print("-- Heartbeat Timeout --")
                elif tweet is Hangup:
                    print("-- Hangup --")
                else:
                    print(tweet)
                    ## CSV or MongoDB
        except Exception as e:
            print('error (Follow): ' + str(e))
            time.sleep(15)
